Subject: Re: bug#64799: [PATCH] Add 'project-prompt-key' face

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jul 2023 08:51:07 +0300

> Date: Fri, 28 Jul 2023 03:56:56 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 27/07/2023 08:28, Eli Zaretskii wrote:
> >> Date: Thu, 27 Jul 2023 04:01:17 +0300
> >> Cc:[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> On 26/07/2023 14:10, Eli Zaretskii wrote:
> >>> Beware: the 'bold' face changes the metrics of the font glyphs (wrt
> >>> the 'medium' variant), and at least with some fonts could cause a
> >>> small 1- or 2-pixel vertical resize of the mini-window, which is
> >>> generally distracting and even annoying.
> >> Only non-monospaced font, though, right? Or ones without a 'bold' variant.
> > No, not only those.  I'm talking about the_vertical_  metrics, so
> > whether the font is monospaced is not relevant.  Try marking files for
> > deletion in Dired, and you will see that, at least with some fonts and
> > some sizes.  Here on MS-Windows the default face's font (Courier New)
> > does that, for some sizes of the font.  I have customized
> > eldoc-highlight-function-argument to use 'underline' instead of 'bold'
> > for that very reason.
> 
> Good to know. That does sound problematic (e.g. when used with Eldoc, 
> contributing to extra jumpiness).
> 
> FWIW, I haven't been able to reproduce this here on GNU/Linux with 
> several sizes of Courier New that I tried.

It could be a bug in the fonts on my system, for all I know.  AFAIK,
Courier New was modified significantly in recent versions of Windows,
so maybe they fixed this.